%global _empty_manifest_terminate_build 0
Name:		python-jsmin
Version:	3.0.1
Release:	1
Summary:	JavaScript minifier.
License:	MIT License
URL:		https://github.com/tikitu/jsmin/
Source0:	https://files.pythonhosted.org/packages/5e/73/e01e4c5e11ad0494f4407a3f623ad4d87714909f50b17a06ed121034ff6e/jsmin-3.0.1.tar.gz
BuildArch:	noarch


%description
JavaScript minifier.

%package -n python3-jsmin
Summary:	JavaScript minifier.
Provides:	python-jsmin
BuildRequires:	python3-devel
BuildRequires:	python3-setuptools
%description -n python3-jsmin
JavaScript minifier.

%package help
Summary:	Development documents and examples for jsmin
Provides:	python3-jsmin-doc
%description help
JavaScript minifier.

%prep
%autosetup -n jsmin-3.0.1

%build
%py3_build

%install
%py3_install
install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
	find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
	find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
	find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
	find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
	find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .

%files -n python3-jsmin -f filelist.lst
%dir %{python3_sitelib}/*

%files help -f doclist.lst
%{_docdir}/*

%changelog
* Thu Jul 21 2022 wanglianguo <wanglianguo@kylinos.cn> 3.0.1-1
- Package Spec generated
